Subject: Re: [RFC][PATCHES] uaccess-related stuff in net/*

From: Al Viro <[email-masked]>
Date: Thu, 21 May 2020 01:36:57 +0100

On Mon, May 11, 2020 at 05:02:51PM -0700, David Miller wrote:
> From: Al Viro <[email-masked]>
> Date: Mon, 11 May 2020 05:43:28 +0100
> 
> > 	Assorted uaccess-related work in net/*.  First, there's
> > getting rid of compat_alloc_user_space() mess in MCAST_...
> > [gs]etsockopt() - no need to play with copying to/from temporary
> > object on userland stack, etc., when ->compat_[sg]etsockopt()
> > instances in question can easly do everything without that.
> > That's the first 13 patches.  Then there's a trivial bit in
> > net/batman-adv (completely unrelated to everything else) and
> > finally getting the atm compat ioctls into simpler shape.
> > 
> > 	Please, review and comment.  Individual patches in followups,
> > the entire branch (on top of current net/master) is in
> > git://git.kernel.org/pub/scm/linux/kernel/git/viro/vfs.git #uaccess.net
> 
> I have no problems with this series:
> 
> Acked-by: David S. Miller <[email-masked]>

OK, rebased on top of current net/master (no conflicts) and pushed out
to the same branch.  Patches (for net-next) in followups